%define upstream_name    Catalyst-View-Mason
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Mason View Class
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-Catalyst >= 5
BuildRequires:	perl(Catalyst::DispatchType::Regex)
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(HTML::Mason)
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(Package::DeprecationManager)
BuildArch:	noarch


%description
Want to use a Mason component in your views? No problem!
Catalyst::View::Mason comes to the rescue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.190.0-3.mga6
+ Revision: 1023406
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.190.0-2.mga6
+ Revision: 965619
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 836352
- update to 0.19

* Sun Oct 19 2014 umeabot <umeabot> 0.180.0-6.mga5
+ Revision: 790023
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 750279
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.180.0-3.mga5
+ Revision: 664900
- Fix BRs

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 509773
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 364154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 41939
- mageia rebuild
- imported package perl-Catalyst-View-Mason

